Bug 532185 - --remove-leaves doesn't remove all original dependencies of python-mwlib
--remove-leaves doesn't remove all original dependencies of python-mwlib
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-31 02:01 EDT by Christopher Beland
Modified: 2014-01-21 18:11 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-02 09:51:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Christopher Beland 2009-10-31 02:01:58 EDT
"yum install python-mwlib python-mwlib-debuginfo" produces:

Installing:
 python-mwlib              i586      0.9.10-2.fc11    fedora              749 k
 python-mwlib-debuginfo    i586      0.9.10-2.fc11    fedora-debuginfo    221 k
Installing for dependencies:
 kpathsea                  i586      2007-46.fc11     updates-testing     118 k
 odfpy                     noarch    0.8-3.fc11       fedora              264 k
 pyparsing                 noarch    1.5.0-4.fc11     fedora              781 k
 python-flup               noarch    1.0-4.fc11       fedora              120 k
 tex-preview               noarch    11.85-8.fc11     fedora               54 k
 texlive                   i586      2007-46.fc11     updates-testing     1.9 M
 texlive-dvips             i586      2007-46.fc11     updates-testing     190 k
 texlive-latex             i586      2007-46.fc11     updates-testing      81 k
 texlive-texmf-latex       noarch    2007-31.fc11     updates-testing     6.1 M
 texlive-utils             i586      2007-46.fc11     updates-testing     218 k

"yum remove python-mwlib python-mwlib-debuginfo --remove-leaves" produces:

Removing:
 odfpy                      noarch     0.8-3.fc11           installed     1.4 M
 pyparsing                  noarch     1.5.0-4.fc11         installed     4.1 M
 python-flup                noarch     1.0-4.fc11           installed     494 k
 python-mwlib               i586       0.9.10-2.fc11        installed     3.4 M
 python-mwlib-debuginfo     i586       0.9.10-2.fc11        installed     998 k

I would have expected the removal operation to uninstall all of the same dependencies.

For comparison, "yum remove python-mwlib python-mwlib-debuginfo tex-preview --remove-leaves" produces:

Removing:
 kpathsea                      i586      2007-46.fc11        installed    158 k
 netpbm                        i586      10.47.04-1.fc11     installed    2.1 M
 netpbm-progs                  i586      10.47.04-1.fc11     installed    4.0 M
 odfpy                         noarch    0.8-3.fc11          installed    1.4 M
 psutils                       i586      1.17-30.fc11        installed    207 k
 pyparsing                     noarch    1.5.0-4.fc11        installed    4.1 M
 python-flup                   noarch    1.0-4.fc11          installed    494 k
 python-mwlib                  i586      0.9.10-2.fc11       installed    3.4 M
 python-mwlib-debuginfo        i586      0.9.10-2.fc11       installed    998 k
 tex-preview                   noarch    11.85-8.fc11        installed    123 k
 texlive                       i586      2007-46.fc11        installed    4.1 M
 texlive-dvips                 i586      2007-46.fc11        installed    277 k
 texlive-texmf                 noarch    2007-31.fc11        installed     14 M
 texlive-texmf-dvips           noarch    2007-31.fc11        installed    2.0 M
 texlive-texmf-errata          noarch    2007-6.fc11         installed     0.0 
 texlive-texmf-errata-dvips    noarch    2007-6.fc11         installed     0.0 
 texlive-texmf-errata-fonts    noarch    2007-6.fc11         installed     0.0 
 texlive-texmf-errata-latex    noarch    2007-6.fc11         installed     0.0 
 texlive-texmf-fonts           noarch    2007-31.fc11        installed    107 M
 texlive-utils                 i586      2007-46.fc11        installed    443 k
Removing for dependencies:
 texlive-latex                 i586      2007-46.fc11        installed     97 k
 texlive-texmf-latex           noarch    2007-31.fc11        installed     26 M

Version: yum-plugin-remove-with-leaves-1.1.23-1.fc11.noarch
Comment 1 James Antill 2009-11-02 09:51:17 EST
It isn't recursive, or --remove-leaves would uninstall everything.

So say you have "A requires B, C which requires D", on install for "install A" you get "install for deps. B, C, D". But on uninstall you only get rid of "B, C".

 In F12 we have history, so you can do "yum history undo" and it'll get rid of everything.

Note You need to log in before you can comment on or make changes to this bug.